Devuelve la configuración de la organización conectada especificada desde la federación especificada. Para usar este recurso, la cuenta de servicio o clave de API solicitante debe tener el rol de propietario de la organización en la organización conectada.
Parámetros de path
-
string única de 24 dígitos hexadecimales que identifica a tu federación.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$. -
string única de 24 dígitos hexadecimales que identifica la configuración de la organización conectada a devolver.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$.
Parámetros de query
-
Bandera que indica si la aplicación envuelve la respuesta en un objeto JSON
envelope. Algunos clientes de la API no pueden acceder a los encabezados de respuesta HTTP ni al código de estado. Para remediar esto, establece envelope=true en la query. Los endpoints que devuelven una lista de resultados utilizan el objeto de resultados como un sobre. La aplicación agrega el parámetro de estado al cuerpo de la respuesta.El valor por defecto es
false.
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/connectedOrgConfigs/32b6e34b3d91647abb20e7b8' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"dataAccessIdentityProviderIds": [
"string"
],
"domainAllowList": [
"string"
],
"domainRestrictionEnabled": true,
"identityProviderId": "string",
"orgId": "32b6e34b3d91647abb20e7b8",
"postAuthRoleGrants": [
"ORG_OWNER"
],
"roleMappings": [
{
"externalGroupName": "string",
"id": "32b6e34b3d91647abb20e7b8",
"roleAssignments": [
{
"groupId": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"role": "string"
}
]
}
],
"userConflicts": [
{
"emailAddress": "hello@example.com",
"federationSettingsId": "32b6e34b3d91647abb20e7b8",
"firstName": "string",
"lastName": "string",
"userId": "32b6e34b3d91647abb20e7b8"
}
]
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}